{               Illustrations for the testprogram MAGNIFIC.EXE

Timoth Wegner                                    Osnabrueck, 26.09.2002
4714 Rockwood                                    Address:
Houston, TX 77004                                Juergen Wilke
(713) 747-7543                                   Dr.-Eckenerstr. 21
                                                 49080 Osnabrueck
USA                                              -Germany-





Extention-Suggestion for the program FRACTINT.EXE
Look at the MAIN MENU. Point: Toggle to/from julia <space>



Dear Sir,


Make the following steps.

1) Start the program FRACTINT.EXE.
2) Press key <t> and select the Fractal Type MANDEL and create a
   classic Mandelbrot image.
3) Zoom into the image several times, until you find an interesting image
   as a last image.
4) Press key <z> and then key <F6>.
5) Notice the value of Magnification off the Mandelbrot image.
   New variable name: Mandel_Magnification.
6) Return to the Mandelbrot image.
7) Toggle to julia: Press key <space>.
8) Select a Juliafixpoint off the Mandelbrot image.
9) Press key <space> once more. FRACTINT.EXE create now a Julia image.
10)Press key <z> and notice the values of the Juliafixpoint:
   a) Real Part of Parameter,
   b) Imaginary Part of Parameter.
11)Press key <F6> and put the Cursor into the line Magnification.
   New variable name: Julia_Magnification.
12)See the following Julia Pascalfunction: (Look at the Point 5)
   Function Julia_Magnification( Mandel_Magnification: Extended ) : Extended;
   Begin
     Julia_Magnification := SQRT( 2 / 3 * Mandel_Magnification );
   End;
   2 / 3  =  Default value in FRACTINT.EXE.
   If Mandel_Magnification  =  2 / 3  then
   The value of the Julia_Magnification is the same as the
   value of the Mandel_Magnification.
   With help of the Freepascal program Magnific.exe, you can calculate the
   Julia_Magnification.
13)Please notice the calculated value for the Julia_Magnification and put
   the value into the line Magnification.
   NOTE: The value for Center X and Center Y is always nil.
14)Press key <Enter>, <Enter>. FRACTINT.EXE creates a new Julia image in
   correct proportions to the Mandelbrot image.
15)Toggle from julia: Press key <space>. FRACTINT.EXE creates the old
   Mandelbrot image.
16)Press key <z> and then key <F6>.
17)The values of the Juliafixpoint off the Julia image put into the
   following lines: (Look at the Point 10)
   a) Center X  =  Real Part of Parameter,
   b) Center Y  =  Imaginary Part of Parameter.
18)See the following Mandelbrot Pascalfunction: (Look at the Point 13)
   Function Mandel_Magnification( Julia_Magnification : Extended ) : Extended;
   Begin
     Mandel_Magnification := 3 / 2 * SQR( Julia_Magnification );
   End;
   2 / 3  =  Default value in FRACTINT.EXE.
   If Julia_Magnification = 2/3 then
   The value of the Mandel_Magnification is the same as the
   value of the Julia_Magnification.
   With help of the Freepascal program Magnific.exe, you can calculate the
   Mandel_Magnification.
19)Please notice the calculated value for the Mandel_Magnification and put
   the value into the line Magnification.
20)Press key <Enter>, <Enter>. FRACTINT.EXE creates a new Mandelbrot image in
   correct proportions to the Julia image.
21)You see the same Mandelbrot image nearly as before. Difference:
   The Juliafixpoint is now in the center of the Mandelbrot image.
22)This way is only possible with the Fractal Formula:
   Z( n + 1 ) = Z( n )^2 + C.
23)See the extended Fractal Formula:
   Z( n + 1 ) = Z( n )^q + C   ( q >= 2 ).
24)See the new Julia Pascalfunction. Toggle to Julia: (Look at Point 12)
   Function Julia_Magnification( Mandel_Magnification, q : Extended ) : Extended;
   Begin
     Julia_Magnification := EXP( LN( EXP(( q - 1 ) * LN( 2 / 3 )) * Mandel_Magnification ) / q );
   End;
25)See the new Mandelbrot Pascalfunction. Toggle from Julia: (Look at Point 18)
   Function Mandel_Magnification( Julia_Magnification, q : Extended ) : Extended;
   Begin
     Mandel_Magnification := EXP(( q - 1 ) * LN( 3 / 2 )) * EXP( q * LN( Julia_Magnification ));
   End;
26)FOR EXAMPLE: On Disc, you find six images created with Fractint.exe.
27)NOTE: - For the saved images with the Type Mandel, you can create now the
           Julia Type correctly.
         - If the coordinate source ( 0 ; 0 ) in the saved Julia images Then:
           You can create the Mandel Type with the Function (See Point 25).
           Else: Mandel_Magnification = Julia_Magnification.

Please realise the Extention-Suggestion for the program FRACTINT.EXE.



Yours sincerely                                  Address:
                                                 Dr.-Eckenerstr. 21
Juergen Wilke                                    49080 Osnabrueck
                                                 -Germany-
}





program magnific;                                {Test the Mandel- and Julia_Magnification}
uses crt;
var
  q    : extended;                               {Exponent for Mandelbrot- or Julia_Magnification. Look also: Z(n+1) = Z(n)^q + C}
  mag  : extended;                               {Mandel- or Julia_Magnificationn}
  ctrl : integer;                                {Control variable for Function Val(..)}
  mjt  : string;                                 {Text: "Mandel" or "Julia"}
  snr  : string;                                 {Number as string}
  ys   : char;                                   {Your Selection: Mandel- or Julia_Magnification}

Function Julia_Magnification( Mandel_Magnification, q : Extended ) : Extended;
Begin                                            {Julia_Magnification}
  Julia_Magnification := EXP( LN( EXP(( q - 1 ) * LN( 2 / 3 )) * Mandel_Magnification ) / q );
End;                                             {End of Julia_Magnification}

Function Mandel_Magnification( Julia_Magnification, q : Extended ) : Extended;
Begin                                            {Mandel_Magnification}
  Mandel_Magnification := EXP(( q - 1 ) * LN( 3 / 2 )) * EXP( q * LN( Julia_Magnification ));
End;                                             {End of Mandel_Magnification}

Procedure Headline;
Begin                                            {Headline}
  clrscr;                                        {Clear screen}
  gotoxy( 9, 2 );                                {New cursor position}
  write('M A G N I F I C A T I O N   T E S T   F O R   F R A C T I N T');
  gotoxy( 2, 8 );                                {New cursor position}
End;                                             {End of headline}



                           {M a i n p r o g r a m}

Begin                                            {1 Magnification}
  q   := 2;                                      {Classic Mandelbrot and Julia Fractal}
  mag := 2 / 3;                                  {Default value. Look at Fractint}
  Repeat                                         {2 Toggle to/from Julia}
    textbackground( 1 );                         {Textbackground: Blue}
    textcolor( 14 );                             {Textcolor: Yellow}
    Headline;                                    {Magnification test for Fractint}
    write('Selection of the Magnification   Your Selection');
    gotoxy( 2, 11 );                             {New cursor position}
    write('Toggle to Julia                       =       1');
    gotoxy( 2, 13 );                             {New cursor position}
    write('Toggle from Julia                     =       2');
    gotoxy( 2, 16 );                             {New cursor position}
    write('Finished the program MAGNIFIC.EXE     =       3');
    gotoxy( 2, 20 );                             {New cursor position}
    write('Your Selection:   ( 0 < ys < 4 )      =    ...');
    Repeat                                       {3 Selection}
      ys := readkey;                             {Your selection}
    Until( ys > '0') and ( ys < '4');            {3 End of selection}
    Case ys of                                   {3 Assign}
      '1' : mjt := 'Mandel';                     {Input for: Mandel_Magnification}
      '2' : mjt := ' Julia';                     {Input for: Julia_Magnification}
    End;                                         {3 End of assign}
    If ys < '3' then
    Begin                                        {3 Input and output}
      Headline;                                  {Magnification test for Fractint}
      write('Input: ',mjt,'_Magnification    = ');
                                                 {Mandel- or Julia_Magnification}
      readln( snr );                             {Input: Number as string}
      If snr <> '' then
      Begin                                      {4 Convert Magnification}
        val( snr, mag, ctrl );                   {Convert: String into number}
        If ( ctrl <> 0 ) or ( mag <= 0 ) then
        mag := 2 / 3;                            {Default value. Look at Fractint}
      End;                                       {4 End of convert Magnification}
      gotoxy( 2, 10 );                           {New cursor position}
      write('Input: Exponent ( q >= 2 )   q = ');{Look at: Z(n+1) = Z(n)^q + C}
      readln( snr );                             {Input: Number as string}
      If snr <> '' then
      Begin                                      {4 Convert Exponent}
        val( snr, q, ctrl );                     {Convert: String into number}
        if ( ctrl <> 0 ) or ( q < 2 ) then
        q := 2;                                  {Classic Mandelbrot and Julia Fractal}
      End;                                       {4 End of convert Exponent}
      Case ys of                                 {4 Assign}
        '1' : Begin                              {5 Julia_Magnification}
                mjt := ' Julia';                 {Output for: Julia_Magnification}
                mag :=  Julia_Magnification( mag, q );
              End;                               {5 End of Julia_Magnification}
        '2' : Begin                              {5 Mandel_Magnification}
                mjt := 'Mandel';                 {Output for: Mandel_Magnification}
                mag := Mandel_Magnification( mag, q );
              End;                               {5 End of Mandel_Magnification}
      End;                                       {4 End of assign}
      gotoxy( 2, 14 );                           {New cursor position}
      write('Output: ',mjt,'_Magnification   = ',mag );
      gotoxy( 2, 16 );                           {New cursor position}
      write('Output: Exponent             q = ',q );
                                                 {Look at: Z(n+1) = Z(n)^q + C}
      gotoxy( 2, 22 );                           {New cursor position}
      write('Press any key for the next page !...');
      Repeat until keypressed;
    End;                                         {3 End of input and output}
  Until ys = '3';                                {2 End of toggle to/from Julia}
  textbackground( 0 );                           {Textbackground: Black}
  textcolor( 7 );                                {Textcolor: White}
  clrscr;                                        {Clear screen}
End.                                             {1 End of Magnification}


